
// native date
.wh-form__date[type='date']
{
  max-width: 170px;
}

// Custom Date and time styling
.datetime
{
  position: relative;
  display: inline-flex;
  flex-flow: row;
  align-items: center;
  flex: none;
  padding: 0 10px;

  &__controls
  {
    display: none;
  }

  &--replaced
  {
    position: absolute !important;
    width: 0;
    height: 0;
    overflow: hidden;
    -webkit-appearance: none;
    -moz-appearance: none;
    opacity: 0;
  }

  &__sep
  {
    display: inline-block;
    padding-left: 3px;
    padding-right: 3px;
  }

  &__date, &__time
  {
    border: 0 none;
    padding: 0;
  }

  &__date &__sep, &__time &__sep
  {
    visibility: hidden;
  }

  &__part
  {
    flex: none;
    width: 60px;

      &::-webkit-outer-spin-button
    , &::-webkit-inner-spin-button
    {
      -webkit-appearance: none;
      margin: 0;
    }

    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: textfield !important;
  }

  &__day, &__month
  {
    width: 65px;
  }

  &__year
  {
    width: 80px; //IE11 fix
    text-align: center;
  }
  &__msec
  {
    min-width: 36px; //IE11 fix
    width: calc( 3ch + 8px );
  }
}
